% Copyright (c) 2014-2015, Leonid Torgovitski
% All rights reserved.

function [Ystruct] = generate_data(Ystruct,model,do_flags) 

n               =   model.n;
p               =   model.p;
phi             =   model.phi;
theta           =   model.theta;
tildesigma2     =   model.tildesigma2;
 
        %%% FULL MA-MODEL %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        Ystruct.Etas    =   randn(n+1,p+1); 
        Ystruct.E       =   (Ystruct.Etas(2:(n+1),2:(p+1))+phi*Ystruct.Etas(1:n,2:(p+1)))+ theta*(Ystruct.Etas(2:(n+1),1:p) + phi*Ystruct.Etas(1:n,1:p));
        Ystruct.E       =   sqrt(tildesigma2)*Ystruct.E;    
end

